package hellocucumber;

import java.util.ArrayList;
import java.util.List;
import java.util.Objects;
import java.util.stream.Collectors;

public class BookStore {

    private List<Book> bookList = new ArrayList<>();

    public void addBook(Book book) {
        bookList.add(book);
    }

    public List<Book> getBooksByAuthor(String author) {
        return bookList.stream().filter(book -> Objects.equals(author, book.getAuthor())).collect(Collectors.toList());
    }
}
